# $Revision: 1.45 $, $Date: 2011/12/12 12:38:28 $
%define pkgname rails
Summary:	Web-application framework with template engine, control-flow layer, and ORM
Name:		ruby-rails2
Version:	2.3.14
Release:	1
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	10177c63d1b943861ccce031cb22c100
Patch0:		ruby-rails-paths.patch
URL:		http://www.rubyonrails.org/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-modules
Requires:	ruby-modules >= 1.8.4-1
Requires:	ruby-railties2 = %{version}-%{release}
Requires:	ruby-rake >= 0.7.2
Obsoletes:	railties
Obsoletes:	ruby-Rails
Provides:	ruby-rails = %{version}
#BuildArch:	noarch
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to be placed there. we're not noarc only because of ruby packaging
%define		_enable_debug_packages	0

%description
Rails is a framework for building web-application using CGI, FCGI,
mod_ruby, or WEBrick on top of either MySQL, PostgreSQL, SQLite, DB2,
SQL Server, or Oracle with eRuby- or Builder-based templates.

%description -l pl.UTF-8
rails to skrypty wiążące biblioteki tworzące razem Ruby on Rails.

Ruby on Rails to platforma WWW do szybkiego tworzenia aplikacji
napisana w języku Ruby.

This package contains development tools.

%package -n ruby-railties2
Summary:	Gluing the Engine to the Rails
Group:		Development/Languages
Requires:	ruby-actionmailer = 2.3.14
Requires:	ruby-actionpack = 2.3.14
Requires:	ruby-activerecord = 2.3.14
Requires:	ruby-activeresource = 2.3.14
Requires:	ruby-activesupport = 2.3.14
Provides:	ruby-railties = %{version}-%{release}

%description -n ruby-railties2
Rails is a framework for building web-application using CGI, FCGI,
mod_ruby, or WEBrick on top of either MySQL, PostgreSQL, SQLite, DB2,
SQL Server, or Oracle with eRuby- or Builder-based templates.

This package contains railties module.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -qcT
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

%{__grep} -rl '/usr/bin/env' . | xargs %{__sed} -i -e '
	s,/usr/bin/env ruby,%{__ruby},
	s,/usr/bin/env spawn-fcgi,/usr/sbin/spawn-fcgi,
	s,/usr/bin/env \(#{File.expand_path(\$0)}\),\1,
'

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -fr ri/{\<,ActiveSupport,CGI,CodeStatistics,Dir,DispatchServlet} \
	ri/{Gem,Object,Plugin,RecursiveHTTPFetcher,RemoteCGI} \
	ri/{SourceAnnotationExtractor,Tracker}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{pkgname}} \
	$RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
cp -a bin builtin configs dispatches doc environments helpers html fresh_rakefile README $RPM_BUILD_ROOT%{_datadir}/%{pkgname}
install -p bin/rails $RPM_BUILD_ROOT%{_bindir}/rails

cat <<'EOF' > $RPM_BUILD_ROOT%{ruby_rubylibdir}/railties_path.rb
RAILTIES_PATH = "%{_datadir}/%{pkgname}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{pkgname}
%{ruby_rubylibdir}/commands*
%{ruby_rubylibdir}/tasks/*
%{ruby_rubylibdir}/console_*.rb
%{ruby_rubylibdir}/*_server.rb

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/*Generator
%{ruby_ridir}/Commands
%{ruby_ridir}/Listener
%{ruby_ridir}/Rails*
%{ruby_ridir}/Repositor*

%files -n ruby-railties2
%defattr(644,root,root,755)
%{ruby_rubylibdir}/*
%exclude %{ruby_rubylibdir}/commands*
%exclude %{ruby_rubylibdir}/tasks*
%exclude %{ruby_rubylibdir}/console_*.rb
%exclude %{ruby_rubylibdir}/*_server.rb

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-rails2.spec,v $
Revision 1.45  2011/12/12 12:38:28  baggins
- ri documentation depends on installed packages and is thus nondeterministic

Revision 1.44  2011/12/12 12:34:03  baggins
- updated deps

Revision 1.43  2011/12/12 12:24:28  baggins
- 2.3.14

Revision 1.42  2011/07/08 11:46:25  baggins
- rel 2
- fix railties R/P

Revision 1.41  2011/07/08 10:02:00  baggins
- 2.3.11

Revision 1.40  2011/06/22 11:22:07  baggins
- fixed package name

Revision 1.39  2011/06/22 11:13:02  baggins
- provide also generic package names to avoid file conflicts

Revision 1.38  2011/06/22 11:00:22  baggins
- fix patch file name

Revision 1.37  2011/06/22 10:55:09  baggins
- fix package name

Revision 1.36  2011/06/22 10:54:36  baggins
- 2.3.5 as separate package (needed by redmine)

Revision 1.35  2010/10/25 09:12:20  caleb
- Added gitrev to automate source fetching a little

Revision 1.34  2010/10/25 09:05:21  caleb
- Note about how to fetch source.

Revision 1.33  2010/10/25 08:58:33  caleb
- Up to 3.0.1, NFY. See TODO.

Revision 1.32  2010/03/02 22:49:34  baggins
- rel 1
- added rdoc and ri packages
- install to rubylibdir

Revision 1.31  2010/03/01 20:44:51  baggins
- updated Reqs

Revision 1.30  2010/02/28 16:18:49  baggins
- updated requires

Revision 1.29  2010/02/28 14:51:17  baggins
- up to 2.3.5

Revision 1.28  2010/02/28 01:19:04  sparky
- BR: ruby-modules (for %{ruby_sitelibdir} macro)

Revision 1.27  2010/02/27 16:59:15  baggins
- renamed rails -> ruby-rails

Revision 1.26  2008/10/12 10:25:36  glen
- update to 2.0.4

Revision 1.25  2008/10/12 10:11:42  glen
- v2.0.2
- spec redone based on altlinux spec
